org.appng.xml.platform

## Class PageReference

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.PageReference

- All Implemented Interfaces:
    Serializable

      public class PageReference
      extends BaseObject
      implements Serializable

  A concrete page containing a `Structure`, which was previously defined by a `PageDefinition`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PageConfig` | `config`
    `protected Long` | `executionTime`
    `protected String` | `id`
    `protected Messages` | `messages`
    `protected Structure` | `structure`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PageConfig` | `getConfig()` Gets the value of the config property.
    `Long` | `getExecutionTime()` The time in milliseconds it took to process this `PageDefinition`.
    `String` | `getId()` The unique id of the page.
    `Messages` | `getMessages()` Gets the value of the messages property.
    `Structure` | `getStructure()` Gets the value of the structure property.
    `String` | `getType()` The type of the page, currently only 'index' is supported.
    `void` | `setConfig(PageConfig value)` Sets the value of the config property.
    `void` | `setExecutionTime(Long value)` Sets the value of the executionTime property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMessages(Messages value)` Sets the value of the messages property.
    `void` | `setStructure(Structure value)` Sets the value of the structure property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected PageConfig config

    - #### messages

          protected Messages messages

    - #### structure

          protected Structure structure

    - #### id

          protected String id

    - #### type

          protected String type

    - #### executionTime

          protected Long executionTime

  - ### Constructor Detail

    - #### PageReference

          public PageReference()

  - ### Method Detail

    - #### getConfig

          public PageConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `PageConfig`

    - #### setConfig

          public void setConfig(PageConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `PageConfig`

    - #### getMessages

          public Messages getMessages()

      Gets the value of the messages property.
      Returns:
        possible object is `Messages`

    - #### setMessages

          public void setMessages(Messages value)

      Sets the value of the messages property.
      Parameters:
        `value` - allowed object is `Messages`

    - #### getStructure

          public Structure getStructure()

      Gets the value of the structure property.
      Returns:
        possible object is `Structure`

    - #### setStructure

          public void setStructure(Structure value)

      Sets the value of the structure property.
      Parameters:
        `value` - allowed object is `Structure`

    - #### getId

          public String getId()

      The unique id of the page.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      The type of the page, currently only 'index' is supported.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExecutionTime

          public Long getExecutionTime()

      The time in milliseconds it took to process this `PageDefinition`.
      Returns:
        possible object is `Long`

    - #### setExecutionTime

          public void setExecutionTime(Long value)

      Sets the value of the executionTime property.
      Parameters:
        `value` - allowed object is `Long`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.